about summary refs log tree commit diff
path: root/tests/parallel.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/parallel.sh')
-rw-r--r--tests/parallel.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/tests/parallel.sh b/tests/parallel.sh
index 7040f7ad91d3..6a563ef2bb9f 100644
--- a/tests/parallel.sh
+++ b/tests/parallel.sh
@@ -2,19 +2,19 @@ storeExpr=$($TOP/src/nix-instantiate/nix-instantiate parallel.nix)
 
 echo "store expr is $storeExpr"
 
-for i in $(seq 1 5); do
-    echo "WORKER $i"
-    $TOP/src/nix-store/nix-store -rvvB "$storeExpr" &
-done
+#for i in $(seq 1 5); do
+#    echo "WORKER $i"
+#    $TOP/src/nix-store/nix-store -rvvB "$storeExpr" &
+#done
 
-sleep 5
+#sleep 5
 
-outPath=$($TOP/src/nix-store/nix-store -qnfvvvvv "$storeExpr")
+outPath=$($TOP/src/nix-store/nix-store -qnfvvvvvvK "$storeExpr")
 
 echo "output path is $outPath"
 
 text=$(cat "$outPath")
-if test "$text" != "aabcade"; then exit 1; fi
+if test "$text" != "abacade"; then exit 1; fi
 
 if test "$(cat $SHARED.cur)" != 0; then exit 1; fi
 if test "$(cat $SHARED.max)" != 3; then exit 1; fi